DROP SCHEMA(7)

NAME
DROP SCHEMA - remove a schema

SYNOPSIS

DROP SCHEMA name [, ...] [ CASCADE | RESTRICT ]

DESCRIPTION

DROP SCHEMA removes schemas from the database.

A schema can only be dropped by its owner or a superuser. Note that the owner can drop the schema (and thereby all contained objects) even if he does not own some of the objects within the schema.

PARAMETERS

name
    The name of a schema.

CASCADE
    Automatically drop objects (tables, functions, etc.) that are contained in the schema.

RESTRICT
    Refuse to drop the schema if it contains any objects. This is the default.

EXAMPLES

To remove schema mystuff from the database, along with everything it contains:

DROP SCHEMA mystuff CASCADE;

COMPATIBILITY

DROP SCHEMA is fully conforming with the SQL standard, except that the standard only allows one schema to be dropped per command.

SEE ALSO
ALTER SCHEMA [alter_schema(7)], CREATE SCHEMA [create_schema(l)]